Devuan bug report logs - #436
calibre: fails to start

version graph

Package: calibre; Maintainer for calibre is (unknown);

Reported by: Gary Koskenmaki <garyk1953@charter.net>

Date: Sat, 2 May 2020 01:03:02 UTC

Severity: grave

Tags: debian

Found in version 4.99.4+dfsg+really4.13.0-3

Fixed in version 4.99.4+dfsg+really4.15.0-1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#436; Package calibre. (Sat, 02 May 2020 01:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Gary Koskenmaki <garyk1953@charter.net>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sat, 02 May 2020 01:03:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Gary Koskenmaki <garyk1953@charter.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: calibre: fails to start
Date: Fri, 01 May 2020 17:39:23 -0700
Package: calibre
Version: 4.99.4+dfsg+really4.13.0-3
Severity: grave
Justification: renders package unusable

Dear Maintainer,

Caliber fails silently when clicking on icon in menu.  It reports the following error when starting from a bash prompt.

Traceback (most recent call last):
  File "/usr/bin/calibre", line 20, in <module>
    sys.exit(calibre())
  File "/usr/lib/calibre/calibre/gui_launch.py", line 73, in calibre
    main(args)
  File "/usr/lib/calibre/calibre/gui2/main.py", line 543, in main
    listener = create_listener()
  File "/usr/lib/calibre/calibre/gui2/main.py", line 514, in create_listener
    return Listener(address=gui_socket_address())
  File "/usr/lib/calibre/calibre/utils/ipc/server.py", line 110, in __init__
    self._listener._unlink.cancel()
AttributeError: 'NoneType' object has no attribute 'cancel'

This behavior began after running an "aptitude update" and "aptitude safe-upgrade" on 4/30/2020.  I didn't notice if
there were python3 packages or calibre packages updated at the time, but obviously something happened at that time.  As
I use Calibre every day, and did use it in the morning and early afternoon on the 30th the cause of the error had to
have happened during the update and safe-upgrade I did late afternoon.


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.6.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages calibre depends on:
ii  calibre-bin                      4.99.4+dfsg+really4.13.0-3
ii  dpkg                             1.19.7
ii  fonts-liberation                 1:1.07.4-11
ii  imagemagick                      8:6.9.10.23+dfsg-2.1+b2
ii  imagemagick-6.q16 [imagemagick]  8:6.9.10.23+dfsg-2.1+b2
ii  libjpeg-turbo-progs              1:1.5.2-2+b1
ii  libjs-mathjax                    2.7.4+dfsg-1
ii  libjxr-tools                     1.1-6+b1
ii  optipng                          0.7.7-1+b1
ii  poppler-utils                    0.71.0-6
ii  python3                          3.8.2-3
ii  python3-apsw                     3.30.1-r1-1.1+b1
ii  python3-bs4                      4.9.0-2
ii  python3-chardet                  3.0.4-7
ii  python3-chm                      0.8.6-2+b1
ii  python3-css-parser               1.0.4-2
ii  python3-cssselect                1.1.0-2
ii  python3-cssutils                 1.0.2-3
ii  python3-dateutil                 2.8.1-4
ii  python3-dbus                     1.2.16-2
ii  python3-feedparser               5.2.1-2
ii  python3-html2text                2020.1.16-1
ii  python3-html5-parser             0.4.9-3+b1
ii  python3-html5lib                 1.0.1-3
ii  python3-lxml                     4.5.0-1.1
ii  python3-markdown                 3.2.1-1
ii  python3-mechanize                1:0.4.5-2
ii  python3-msgpack                  0.6.2-1+b1
ii  python3-netifaces                0.10.9-0.2+b1
ii  python3-pil                      7.0.0-4+b1
ii  python3-pkg-resources            46.1.3-1
ii  python3-pygments                 2.3.1+dfsg-3
ii  python3-pyparsing                2.4.6-2
ii  python3-pyqt5                    5.14.2+dfsg-1+b1
ii  python3-pyqt5.qtsvg              5.14.2+dfsg-1+b1
ii  python3-pyqt5.qtwebengine        5.14.0-2+b1
ii  python3-regex                    0.1.20190819-2+b1
ii  python3-routes                   2.4.1-2
ii  python3-zeroconf                 0.23.0-1
ii  xdg-utils                        1.1.3-2

Versions of packages calibre recommends:
pn  python3-dnspython  <none>
ii  udisks2            2.8.4-1+devuan4

Versions of packages calibre suggests:
ii  python3-openssl   19.1.0-2
pn  python3-unrardll  <none>

-- no debconf information


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#436; Package calibre. (Sat, 02 May 2020 09:18:02 GMT) (full text, mbox, link).


Message #8 received at 436@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 436@bugs.devuan.org, Gary Koskenmaki <garyk1953@charter.net>
Subject: Re: calibre: fails to start
Date: Sat, 2 May 2020 09:57:39 +0100
Control: tags -1 debian

On Fri, 01 May 2020 17:39:23 -0700 Gary Koskenmaki <garyk1953@charter.net> wrote:
> Package: calibre
> Version: 4.99.4+dfsg+really4.13.0-3
> Severity: grave
> Justification: renders package unusable
> 
> Dear Maintainer,
> 
> Caliber fails silently when clicking on icon in menu.  It reports the following error when starting from a bash prompt.

Gary,

Thanks for this.

Neither calibre nor any python libraries are forked by Devuan. We use Debian
packages directly. You would be better reporting this directly to Debian's BTS.

Thanks.

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 436-submit@bugs.devuan.org. (Sat, 02 May 2020 09:18:04 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#436; Package calibre. (Sat, 02 May 2020 16:33:02 GMT) (full text, mbox, link).


Message #13 received at 436@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 436@bugs.devuan.org, Gary Koskenmaki <garyk1953@charter.net>
Subject: Re: calibre: fails to start
Date: Sat, 2 May 2020 17:21:12 +0100
On Sat, May 02, 2020 at 09:57:39AM +0100, Mark Hindley wrote:
> Neither calibre nor any python libraries are forked by Devuan. We use Debian
> packages directly. You would be better reporting this directly to Debian's BTS.

It has just been reported in Debian: see https://bugs.debian.org/959419

Mark

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Mon, 04 May 2020 12:18:01 GMT) (full text, mbox, link).


Notification sent to Gary Koskenmaki <garyk1953@charter.net>:
bug acknowledged by developer. (Mon, 04 May 2020 12:18:04 GMT) (full text, mbox, link).


Message #18 received at 436-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 436-done@bugs.devuan.org
Subject: Re: calibre: fails to start
Date: Mon, 4 May 2020 12:59:36 +0100
Version: 4.99.4+dfsg+really4.15.0-1

On Sat, May 02, 2020 at 05:21:12PM +0100, Mark Hindley wrote:
> On Sat, May 02, 2020 at 09:57:39AM +0100, Mark Hindley wrote:
> > Neither calibre nor any python libraries are forked by Devuan. We use Debian
> > packages directly. You would be better reporting this directly to Debian's BTS.
> 
> It has just been reported in Debian: see https://bugs.debian.org/959419

Closed as fixed in Debian

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue Oct 27 12:11:53 2020;